Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class CatalinaProperties

    java.lang.Object
      org.apache.catalina.startup.CatalinaProperties

    public class CatalinaProperties

extends java.lang.Object

Utility class to read the bootstrap Catalina configuration.

Version:
  $Id: CatalinaProperties.java 939353 2010-04-29 15:50:43Z kkolinko $
Author:
  Remy Maucherat

Constructor Summary
`CatalinaProperties()`

Method Summary
`static java.lang.String` | `getProperty(java.lang.String name)` Return specified property value.
`static java.lang.String` | `getProperty(java.lang.String name, java.lang.String defaultValue)` Return specified property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaProperties

    public CatalinaProperties()

Method Detail

### getProperty

    public static java.lang.String getProperty(java.lang.String name)

  Return specified property value.

### getProperty

    public static java.lang.String getProperty(java.lang.String name,
                                               java.lang.String defaultValue)

  Return specified property value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.